Package opennlp.uima.util

## Class OpenNlpAnnotatorProcessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.UIMAException
      - - org.apache.uima.resource.ResourceProcessException
        - - org.apache.uima.analysis_engine.AnalysisEngineProcessException
          - - opennlp.uima.util.OpenNlpAnnotatorProcessException

- All Implemented Interfaces:
    `Serializable`, `org.apache.uima.I18nExceptionI`

      public class OpenNlpAnnotatorProcessException
      extends org.apache.uima.analysis_engine.AnalysisEngineProcessException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.analysis_engine.AnalysisEngineProcessException

      `ANNOTATOR_EXCEPTION, FLOW_CANNOT_CONTINUE_AFTER_REMOVE, ILLEGAL_DROP_CAS, INCORRECT_CAS_INTERFACE, REMOVE_AE_FROM_FLOW_NOT_SUPPORTED, TIMEOUT_ELAPSED, UNKNOWN_ID_IN_SEQUENCE, UNSUPPORTED_CAS_TYPE, UNSUPPORTED_STEP_TYPE`

    - ### Fields inherited from class org.apache.uima.resource.ResourceProcessException

      `REQUIRED_FEATURE_STRUCTURE_MISSING_FROM_CAS, RESOURCE_DATA_NOT_VALID`

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenNlpAnnotatorProcessException​(String messageKey, Object[] arguments)` |
    `OpenNlpAnnotatorProcessException​(String messageKey, Object[] arguments, Throwable t)` |
    `OpenNlpAnnotatorProcessException​(Throwable t)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMAException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Constructor Detail

    - #### OpenNlpAnnotatorProcessException

          public OpenNlpAnnotatorProcessException​(String messageKey,
                                                  Object[] arguments)

    - #### OpenNlpAnnotatorProcessException

          public OpenNlpAnnotatorProcessException​(String messageKey,
                                                  Object[] arguments,
                                                  Throwable t)

    - #### OpenNlpAnnotatorProcessException

          public OpenNlpAnnotatorProcessException​(Throwable t)